Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class AnnotatedNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode

Direct Known Subclasses:
  ClassNode, Expression, FieldNode, ImportNode, MethodNode, PackageNode, Parameter, PropertyNode

    public class AnnotatedNode

extends ASTNode

Base class for any AST node which is capable of being annotated

Version:
  $Revision: 15807 $
Author:
  James Strachan

Constructor Summary
`AnnotatedNode()`

Method Summary
`void` | `addAnnotation(AnnotationNode value)`
`void` | `addAnnotations(List<AnnotationNode> annotations)`
`List<AnnotationNode>` | `getAnnotations()`
`List<AnnotationNode>` | `getAnnotations(ClassNode type)`
`ClassNode` | `getDeclaringClass()`
`boolean` | `isSynthetic()` returns true if this node is added by the compiler.
`void` | `setDeclaringClass(ClassNode declaringClass)`
`void` | `setSynthetic(boolean synthetic)` sets this node as a node added by the compiler.

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedNode

    public AnnotatedNode()

Method Detail

### getAnnotations

    public List<AnnotationNode> getAnnotations()

### getAnnotations

    public List<AnnotationNode> getAnnotations(ClassNode type)

### addAnnotation

    public void addAnnotation(AnnotationNode value)

### addAnnotations

    public void addAnnotations(List<AnnotationNode> annotations)

### isSynthetic

    public boolean isSynthetic()

  returns true if this node is added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

  Returns:
    true if this node is added by the compiler

### setSynthetic

    public void setSynthetic(boolean synthetic)

  sets this node as a node added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

  Parameters:
    `synthetic` - - if true this node is marked as added by the compiler

### getDeclaringClass

    public ClassNode getDeclaringClass()

### setDeclaringClass

    public void setDeclaringClass(ClassNode declaringClass)

  Parameters:
    `declaringClass` - - The declaringClass to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD